Index: branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 363)
@@ -115,5 +115,4 @@
   poc = -1; 
 #endif
-
   TComList<TComPic*>* pcListPic = NULL;
 
@@ -147,5 +146,4 @@
   Bool firstSlice        = true; 
 #endif
-
  
   while (!!bitstreamFile)
@@ -296,4 +294,5 @@
       }
       if ( bNewPicture && 
+#endif
            (   nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR_W_RADL
             || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR_N_LP
Index: branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 363)
@@ -78,4 +78,5 @@
 #if !H_MV
   m_aidQP = NULL;
+#endif
 #if J0149_TONE_MAPPING_SEI
   m_startOfCodedInterval = NULL;
Index: branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 363)
@@ -60,7 +60,5 @@
   Char*     m_pchInputFile;                                   ///< source file name
 #endif
-
   Char*     m_pchBitstreamFile;                               ///< output bitstream file
-
 #if H_MV
   std::vector<char*>     m_pchReconFileList;                  ///< output reconstruction file names
@@ -69,6 +67,4 @@
   Char*     m_pchReconFile;                                   ///< output reconstruction file
 #endif
-
-
   // VPS specification
 #if H_MV
@@ -83,6 +79,4 @@
   std::vector<Int>       m_dimensionIdLen;                   ///< Length of scalability dimension s 
 #endif
-
-
   Double    m_adLambdaModifier[ MAX_TLAYER ];                 ///< Lambda modifier array for each temporal layer
   // source specification
@@ -103,5 +97,4 @@
   Level::Tier   m_levelTier;
   Level::Name   m_level;
-
 #if L0046_CONSTRAINT_FLAGS
   Bool m_progressiveSourceFlag;
@@ -128,4 +121,5 @@
 #else
   Int       m_maxDecPicBuffering[MAX_TLAYER];                 ///< total number of reference pictures needed for decoding
+#endif
 #endif
 #if !L0034_COMBINED_LIST_CLEANUP
@@ -378,5 +372,4 @@
   Void  xPrintParameter ();                                   ///< print configuration values
   Void  xPrintUsage     ();                                   ///< print usage
-
 #if H_MV
   template <typename T>
@@ -429,9 +422,7 @@
   Int*      m_constantPicRateIdc;                                ///< Indicates constant picture rate idc for various sub-layers
 #endif
-  
 #if H_MV
   Int   getGOPSize() { return m_iGOPSize; }
 #endif
-
 public:
   TAppEncCfg();
Index: branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 363)
@@ -421,5 +421,5 @@
 
 #if H_MV
-Void TComSlice::setRefPicList( TComList<TComPic*>& rcListPic, Bool checkNumPocTotalCurr,std::vector<TComPic*>& refPicSetInterLayer )
+Void TComSlice::setRefPicList( TComList<TComPic*>& rcListPic, std::vector<TComPic*>& refPicSetInterLayer , Bool checkNumPocTotalCurr)
 #else
 #if FIX1071
Index: branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 363)
@@ -1584,5 +1584,5 @@
 #endif
 #if H_MV
-  Void      setRefPicList       ( TComList<TComPic*>& rcListPic, Bool checkNumPocTotalCurr = false , std::vector<TComPic*>& interLayerRefPicSet );
+  Void      setRefPicList       ( TComList<TComPic*>& rcListPic, std::vector<TComPic*>& interLayerRefPicSet , Bool checkNumPocTotalCurr = false );
 #else
 #if FIX1071
Index: branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 363)
@@ -591,5 +591,5 @@
     // Set reference list
 #if H_MV    
-    pcSlice->setRefPicList( m_cListPic, true, m_refPicSetInterLayer );    
+    pcSlice->setRefPicList( m_cListPic, m_refPicSetInterLayer, true );    
 #else
 #if FIX1071
@@ -782,5 +782,9 @@
     case NAL_UNIT_CODED_SLICE_RASL_N:
     case NAL_UNIT_CODED_SLICE_RASL_R:
+#if H_MV
+      return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag);
+#else
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay);
+#endif
       break;
     default:
Index: branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 363)
@@ -97,5 +97,6 @@
 #if H_MV
     ::memset( m_interViewRefs,   0, sizeof(m_interViewRefs) );
-    ::memset( m_interViewRefPosL[0], -1, sizeof(m_interViewRefPosL[0]) );    ::memset( m_interViewRefPosL[1], -1, sizeof(m_interViewRefPosL[1]) );#endif
+    ::memset( m_interViewRefPosL[0], -1, sizeof(m_interViewRefPosL[0]) );    ::memset( m_interViewRefPosL[1], -1, sizeof(m_interViewRefPosL[1]) );
+#endif
   }
 };
Index: branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 362)
+++ branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 363)
@@ -211,4 +211,5 @@
   }
 #endif
+#endif
 #if H_MV
    Void  xSetRefPicListModificationsMvc( TComSlice* pcSlice, UInt uiPOCCurr, UInt iGOPid );