Index: /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 364)
@@ -45,5 +45,4 @@
 #include <cassert>
 #endif
-
 #ifdef WIN32
 #define strdup _strdup
@@ -79,9 +78,7 @@
   ("OutputBitDepth,d", m_outputBitDepthY, 0, "bit depth of YUV output luma component (default: use 0 for native depth)")
   ("OutputBitDepthC,d", m_outputBitDepthC, 0, "bit depth of YUV output chroma component (default: use 0 for native depth)")
-
 #if H_MV
   ("MaxLayerId,-ls", m_maxLayerId, MAX_NUM_LAYER_IDS-1, "Maximum LayerId to be decoded.")
 #endif
-
   ("MaxTemporalLayer,t", m_iMaxTemporalLayer, -1, "Maximum Temporal Layer to be decoded. -1 to decode all layers")
   ("SEIDecodedPictureHash", m_decodedPictureHashSEIEnabled, 1, "Control handling of decoded picture hash SEI messages\n"
@@ -108,5 +105,4 @@
   /* convert std::string to c string for compatability */
   m_pchBitstreamFile = cfg_BitstreamFile.empty() ? NULL : strdup(cfg_BitstreamFile.c_str());
-
   m_pchReconFile = cfg_ReconFile.empty() ? NULL : strdup(cfg_ReconFile.c_str());
 
@@ -191,4 +187,3 @@
 }
 #endif
-
 //! \}
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 364)
@@ -64,5 +64,4 @@
 #endif
   Char*         m_pchReconFile;                       ///< output reconstruction file name
-
   Int           m_iSkipFrame;                         ///< counter for frames prior to the random access point to skip
   Int           m_outputBitDepthY;                    ///< bit depth used for writing output (luma)
@@ -78,9 +77,7 @@
   Void xAppendToFileNameEnd( Char* pchInputFileName, const Char* pchStringToAppend, Char*& rpchOutputFileName); ///< create filenames
 #endif
-
 public:
   TAppDecCfg()
   : m_pchBitstreamFile(NULL)
-
 #if H_MV
   , m_maxLayerId(0)
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 364)
@@ -60,5 +60,4 @@
 : m_numDecoders( 0 )
 #endif
-
 {
   ::memset (m_abDecFlag, 0, sizeof (m_abDecFlag));
@@ -79,5 +78,4 @@
     m_pchBitstreamFile = NULL;
   }
-
 #if H_MV
   for (Int decIdx = 0; decIdx < m_numDecoders; decIdx++)
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 364)
@@ -90,5 +90,4 @@
   Void  decode            (); ///< main decoding function
  
-
 protected:
   Void  xCreateDecLib     (); ///< create internal classes
@@ -153,5 +152,4 @@
   Void  xFlushOutput      ( TComList<TComPic*>* pcListPic ); ///< flush all remaining decoded pictures to file
 #endif
-
   Bool  isNaluWithinTargetDecLayerIdSet ( InputNALUnit* nalu ); ///< check whether given Nalu is within targetDecLayerIdSet
 };
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 364)
@@ -107,5 +107,4 @@
     delete[] m_aidQP;
   }
-  free(m_pchInputFile);
 #endif
 #if J0149_TONE_MAPPING_SEI
@@ -126,6 +125,8 @@
   }
 #endif
+#if !H_MV
+  free(m_pchInputFile);
+#endif
   free(m_pchBitstreamFile);
-
 #if H_MV
   for(Int i = 0; i< m_pchReconFileList.size(); i++ )
@@ -137,5 +138,4 @@
   free(m_pchReconFile);
 #endif
-
   free(m_pchdQPFile);
   free(m_pColumnWidth);
@@ -337,5 +337,4 @@
 #endif 
 #endif
-
   string cfg_dQPFile;
   string cfg_ColumnWidth;
@@ -361,5 +360,4 @@
   
   // File, I/O and source parameters
-
 #if H_MV
   ("InputFile_%d,i_%d",       m_pchInputFileList,       (char *) 0 , MAX_NUM_LAYER_IDS , "original Yuv input file name %d")
@@ -367,7 +365,5 @@
   ("InputFile,i",           cfg_InputFile,     string(""), "Original YUV input file name")
 #endif
-
   ("BitstreamFile,b",       cfg_BitstreamFile, string(""), "Bitstream output file name")
-
 #if H_MV
   ("ReconFile_%d,o_%d",       m_pchReconFileList,       (char *) 0 , MAX_NUM_LAYER_IDS , "reconstructed Yuv output file name %d")
@@ -375,5 +371,4 @@
   ("ReconFile,o",           cfg_ReconFile,     string(""), "Reconstructed YUV output file name")
 #endif
-
 #if H_MV
   ("NumberOfLayers",        m_numberOfLayers     , 1,                     "Number of layers")
@@ -413,5 +408,4 @@
 
   // Profile and level
-
   ("Profile", m_profile,   Profile::NONE, "Profile to be used when encoding (Incomplete)")
   ("Level",   m_level,     Level::NONE,   "Level limit to be used, eg 5.1 (Incomplete)")
@@ -730,5 +724,4 @@
   }
 #endif
-
   po::setDefaults(opts);
   const list<const Char*>& argv_unhandled = po::scanArgv(opts, argc, (const Char**) argv);
@@ -760,5 +753,4 @@
   m_pchReconFile = cfg_ReconFile.empty() ? NULL : strdup(cfg_ReconFile.c_str());
 #endif
-
   m_pchdQPFile = cfg_dQPFile.empty() ? NULL : strdup(cfg_dQPFile.c_str());
   
@@ -824,5 +816,4 @@
   free ( pRowHeight   ); 
 #endif
-
 #if SIGNAL_BITRATE_PICRATE_IN_VPS
   readBoolString(cfg_bitRateInfoPresentFlag, m_bitRatePicRateMaxTLayers, m_bitRateInfoPresentFlag, "bit rate info. present flag" );
@@ -1142,5 +1133,4 @@
   xConfirmPara( m_iFrameRate <= 0,                                                          "Frame rate must be more than 1" );
   xConfirmPara( m_framesToBeEncoded <= 0,                                                   "Total Number Of Frames encoded must be more than 0" );
-
 #if H_MV
   xConfirmPara( m_numberOfLayers > MAX_NUM_LAYER_IDS ,                                      "NumberOfLayers must be less than or equal to MAX_NUM_LAYER_IDS");
@@ -1155,5 +1145,5 @@
   xConfirmPara( m_scalabilityMask != 1 , "Scalability Mask must be equal to 1. ");
 #endif
-  
+ 
   m_dimIds.push_back( m_viewId ); 
 #if H_3D
@@ -1212,6 +1202,4 @@
 
 #endif
-
-
   xConfirmPara( m_iGOPSize < 1 ,                                                            "GOP Size must be greater or equal to 1" );
   xConfirmPara( m_iGOPSize > 1 &&  m_iGOPSize % 2,                                          "GOP Size must be a multiple of 2, if GOP Size is greater than 1" );
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 364)
@@ -136,10 +136,8 @@
     m_cTEncTop.setIvPicLists  ( &m_ivPicLists ); 
 #endif
-
   m_cTEncTop.setVPS(&vps);
 
   m_cTEncTop.setProfile(m_profile);
   m_cTEncTop.setLevel(m_levelTier, m_level);
-
 #if L0046_CONSTRAINT_FLAGS
   m_cTEncTop.setProgressiveSourceFlag(m_progressiveSourceFlag);
@@ -462,9 +460,7 @@
   }
 #endif
-
-#if H_MV
-  }
-#endif
-
+#if H_MV
+  }
+#endif
 }
 
@@ -721,5 +717,4 @@
 }
 #endif
-
 // ====================================================================================================================
 // Protected member functions
@@ -795,5 +790,4 @@
   }
 #endif  
-
 }
 
@@ -825,5 +819,4 @@
   {
     TComPicYuv*  pcPicYuvRec  = *(iterPicYuvRec++);
-
 #if H_MV
       if (m_pchReconFileList[layerId])
@@ -853,5 +846,4 @@
   }
 #endif
-
 }
 
@@ -899,5 +891,4 @@
 void TAppEncTop::printRateSummary()
 {
-
 #if H_MV
   Double time = (Double) m_frameRcvd[0] / m_iFrameRate;
@@ -906,5 +897,4 @@
   Double time = (Double) m_iFrameRcvd / m_iFrameRate;
 #endif
-
   printf("Bytes written to file: %u (%.3f kbps)\n", m_totalBytes, 0.008 * m_totalBytes / time);
 #if VERBOSE_RATE
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/TAppEncTop.h	(revision 364)
@@ -59,5 +59,4 @@
 private:
   // class interface
-
 #if H_MV
   std::vector<TEncTop*>      m_acTEncTopList ;              ///< encoder class per layer 
@@ -100,5 +99,4 @@
   
   // file I/O
-
 #if H_MV
   Void xWriteOutput(std::ostream& bitstreamFile, Int iNumEncoded, std::list<AccessUnit>& accessUnits, UInt layerId); ///< write bitstream to file
@@ -106,5 +104,4 @@
   Void xWriteOutput(std::ostream& bitstreamFile, Int iNumEncoded, const std::list<AccessUnit>& accessUnits); ///< write bitstream to file
 #endif
-
   void rateStatsAccum(const AccessUnit& au, const std::vector<UInt>& stats);
   void printRateSummary();
@@ -116,5 +113,4 @@
   Int  xGetMax( std::vector<Int>& vec);
 #endif
-
 public:
   TAppEncTop();
@@ -122,5 +118,4 @@
   
   Void        encode      ();                               ///< main encoding function
-
 #if H_MV
   TEncTop*    getTEncTopLayer(UInt layer) { return  m_acTEncTopList[layer]; }  ///< return pointer to encoder class for specific layer
@@ -131,5 +126,4 @@
   TEncTop&    getTEncTop  ()   { return  m_cTEncTop; }      ///< return encoder class pointer reference
 #endif
-
 };// END CLASS DEFINITION TAppEncTop
 
Index: /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/encmain.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/encmain.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/App/TAppEncoder/encmain.cpp	(revision 364)
@@ -62,5 +62,4 @@
   fprintf( stdout, "HM software: Encoder Version [%s]", NV_VERSION );
 #endif
-
   fprintf( stdout, NVM_ONOS );
   fprintf( stdout, NVM_COMPILEDBY );
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TAppCommon/program_options_lite.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 364)
@@ -46,5 +46,4 @@
 #endif
 #endif
-
 //! \ingroup TAppCommon
 //! \{
@@ -382,5 +381,4 @@
       }
 #endif
-
       /**
        * Add option described by name to the parent Options list,
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/CommonDef.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/CommonDef.h	(revision 364)
@@ -168,5 +168,4 @@
 
 #endif
-
 
 // ====================================================================================================================
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/NAL.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/NAL.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/NAL.h	(revision 364)
@@ -47,5 +47,4 @@
   NalUnitType m_nalUnitType; ///< nal_unit_type
   UInt        m_temporalId;  ///< temporal_id
-
 #if H_MV
   Int         m_layerId;     ///< layer id
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 364)
@@ -3200,5 +3200,4 @@
   Bool bIsCurrRefLongTerm = m_pcSlice->getRefPic( eRefPicList, iRefIdx)->getIsLongTerm();
   Bool bIsNeibRefLongTerm = false;
-
   //---------------  V1 (END) ------------------//
   if( pcTmpCU->getCUMvField(eRefPicList)->getRefIdx(uiIdx) >= 0)
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComPic.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComPic.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComPic.h	(revision 364)
@@ -93,5 +93,4 @@
 #endif
 #endif
-
 public:
   TComPic();
@@ -116,5 +115,4 @@
 #endif
 #endif
-
   Bool          getUsedByCurr()             { return m_bUsedByCurr; }
   Void          setUsedByCurr( Bool bUsed ) { m_bUsedByCurr = bUsed; }
@@ -186,7 +184,4 @@
   Void          print( Bool legend );
 #endif
-
-
-
   /** transfer ownership of seis to this picture */
   void setSEIs(SEIMessages& seis) { m_SEIs = seis; }
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 364)
@@ -603,5 +603,4 @@
   TimingInfo* getTimingInfo() { return &m_timingInfo; }
 #endif
-
 #if H_MV
   Void    setAvcBaseLayerFlag( Bool val )                                  { m_avcBaseLayerFlag = val;  }
@@ -971,9 +970,7 @@
   static const Int   m_winUnitY[MAX_CHROMA_FORMAT_IDC+1];
   TComPTL     m_pcPTL;
-
 #if H_MV
   Bool        m_interViewMvVertConstraintFlag;
 #endif
-
 public:
   TComSPS();
@@ -1106,5 +1103,4 @@
 
   TComPTL* getPTL()     { return &m_pcPTL; }
-
 #if H_MV
   Void setInterViewMvVertConstraintFlag(Bool val) { m_interViewMvVertConstraintFlag = val; }
@@ -1464,5 +1460,4 @@
 
   Bool       m_enableTMVPFlag;
-
 #if H_MV
   Int        m_layerId; 
@@ -1472,5 +1467,4 @@
 #endif
 #endif
-
 public:
   TComSlice();
@@ -1639,5 +1633,4 @@
   Void decodingMarking( TComList<TComPic*>& rcListPic, Int iGOPSIze, Int& iMaxRefPicNum ); 
   Void applyReferencePictureSet( TComList<TComPic*>& rcListPic, TComReferencePictureSet *RPSList);
-
 #if H_MV
   Void createAndApplyIvReferencePictureSet( TComPicLists* ivPicLists, std::vector<TComPic*>& refPicSetInterLayer );
@@ -1648,5 +1641,4 @@
   Void xPrintRefPicList();
 #endif
-
   Bool isTemporalLayerSwitchingPoint( TComList<TComPic*>& rcListPic );
   Bool isStepwiseTemporalLayerSwitchingPointCandidate( TComList<TComPic*>& rcListPic );
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 364)
@@ -91,5 +91,4 @@
 #define MAX_VPS_NUM_HRD_PARAMETERS                1
 #define MAX_VPS_OP_SETS_PLUS1                     1024
-
 #if H_MV
 #define MAX_VPS_NUH_LAYER_ID_PLUS1  64
@@ -105,5 +104,7 @@
 #define MAX_CPB_CNT                     32  ///< Upper bound of (cpb_cnt_minus1 + 1)
 #define MAX_NUM_LAYER_IDS               64
+#if H_MV
 #define MAX_NUM_LAYERS                  64
+#endif
 
 #define COEF_REMAIN_BIN_REDUCTION        3 ///< indicates the level at which the VLC 
@@ -569,3 +570,2 @@
 #endif
 #endif
-
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 364)
@@ -208,10 +208,8 @@
   rpcPic->compressMotion(); 
 #endif
-
   Char c = (pcSlice->isIntra() ? 'I' : pcSlice->isInterP() ? 'P' : 'B');
   if (!pcSlice->isReferenced()) c += 32;
 
   //-- For time output for each slice
-
 #if H_MV
   printf("\nLayer %2d   POC %4d TId: %1d ( %c-SLICE, QP%3d ) ", pcSlice->getLayerId(),
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 364)
@@ -93,5 +93,4 @@
 }
 
-
 Void TDecTop::init()
 {
@@ -100,5 +99,4 @@
   initROM();
 #endif
-
   m_cGopDecoder.init( &m_cEntropyDecoder, &m_cSbacDecoder, &m_cBinCABAC, &m_cCavlcDecoder, &m_cSliceDecoder, &m_cLoopFilter, &m_cSAO);
   m_cSliceDecoder.init( &m_cEntropyDecoder, &m_cCuDecoder );
@@ -222,10 +220,8 @@
   rpcListPic          = &m_cListPic;  
   m_cCuDecoder.destroy();        
-
 #if H_MV 
   TComSlice::markIvRefPicsAsShortTerm( m_refPicSetInterLayer );  
   TComSlice::markIvRefPicsAsUnused   ( m_ivPicLists, targetDecLayerIdSet, m_parameterSetManagerDecoder.getActiveVPS(), m_layerId, poc ); 
 #endif
-
   m_bFirstSliceInPicture  = true;
 
@@ -380,5 +376,4 @@
   m_apcSlicePilot->setLayerId( nalu.m_layerId );
 #endif
-
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder);
 
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 364)
@@ -64,5 +64,4 @@
 class TAppDecTop;
 #endif
-
 /// decoder class
 class TDecTop
@@ -81,5 +80,4 @@
   ParameterSetManagerDecoder m_parameterSetManagerDecoder;  // storage for parameter sets 
 #endif
-
   TComSlice*              m_apcSlicePilot;
   
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 364)
@@ -406,5 +406,4 @@
 #endif
 #endif
-
   //====== Coding Structure ========
   Void      setIntraPeriod                  ( Int   i )      { m_uiIntraPeriod = (UInt)i; }
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 364)
@@ -410,5 +410,4 @@
   UInt *accumNalsDU = NULL;
   SEIDecodingUnitInfo decodingUnitInfoSEI;
-
 #if !H_MV
   for ( Int iGOPid=0; iGOPid < m_iGopSize; iGOPid++ )
@@ -472,5 +471,4 @@
     if(pocCurr>=m_pcCfg->getFramesToBeEncoded())
     {
-
 #if H_MV
       delete pcBitstreamRedirect;
@@ -2057,5 +2055,4 @@
   assert ( m_iNumPicCoded == iNumPicRcvd );
 #endif
-
 }
 
@@ -2377,5 +2374,4 @@
   m_gcAnalyzeAll.addResult (dYPSNR, dUPSNR, dVPSNR, (Double)uibits);
 #endif
-
   TComSlice*  pcSlice = pcPic->getSlice(0);
   if (pcSlice->isIntra())
@@ -2386,5 +2382,4 @@
     m_gcAnalyzeI.addResult (dYPSNR, dUPSNR, dVPSNR, (Double)uibits);
 #endif
-
   }
   if (pcSlice->isInterP())
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 364)
@@ -108,5 +108,4 @@
 #endif
 #endif
-
   //--Adaptive Loop filter
   TEncSampleAdaptiveOffset*  m_pcSAO;
Index: /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 363)
+++ /branches/HTM-DEV-0.1-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 364)
@@ -63,6 +63,4 @@
 // Class definition
 // ====================================================================================================================
-
-
 
 /// encoder class
@@ -133,5 +131,4 @@
   TEncAnalyze             m_cAnalyzeB;  
 #endif
-
 protected:
   Void  xGetNewPicBuffer  ( TComPic*& rpcPic );           ///< get picture buffer which will be processed
@@ -148,11 +145,8 @@
   Void      create          ();
   Void      destroy         ();
-
   Void      init            ();
-
 #if H_MV  
   TComPicLists* getIvPicLists() { return m_ivPicLists; }
 #endif
-
   Void      deletePicBuffer ();
 
@@ -162,5 +156,4 @@
   Void      initNewPic(TComPicYuv* pcPicYuvOrg);
 #endif
-
   // -------------------------------------------------------------------------------------------------------------------
   // member access functions