Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 370)
@@ -4006,23 +4006,4 @@
   TComPic* cBaseColPic = m_pcSlice->getBaseColPic(refLayerIdc);
 
-#if !SIMPLIFIED_MV_POS_SCALING
-#if SVC_UPSAMPLING && !ILP_DECODED_PICTURE
-  const Window &confBL = cBaseColPic->getPicYuvRec()->getConformanceWindow();
-  const Window &confEL = m_pcPic->getPicYuvRec()->getConformanceWindow();
-
-  Int widthBL   = m_pcSlice->getBaseColPic()->getPicYuvRec()->getWidth () - confBL.getWindowLeftOffset() - confBL.getWindowRightOffset();
-  Int heightBL  = m_pcSlice->getBaseColPic()->getPicYuvRec()->getHeight() - confBL.getWindowTopOffset() - confBL.getWindowBottomOffset();
-
-  Int widthEL   = m_pcPic->getPicYuvRec()->getWidth() - confEL.getWindowLeftOffset() - confEL.getWindowRightOffset();
-  Int heightEL  = m_pcPic->getPicYuvRec()->getHeight() - confEL.getWindowTopOffset() - confEL.getWindowBottomOffset();
-#else
-  Int widthBL   = cBaseColPic->getPicYuvRec()->getWidth();
-  Int heightBL  = cBaseColPic->getPicYuvRec()->getHeight();
-
-  Int widthEL   = m_pcPic->getPicYuvRec()->getWidth();
-  Int heightEL  = m_pcPic->getPicYuvRec()->getHeight();
-#endif
-#endif
-
   uiPelX = (UInt)Clip3<UInt>(0, m_pcPic->getPicYuvRec()->getWidth() - 1, uiPelX);
   uiPelY = (UInt)Clip3<UInt>(0, m_pcPic->getPicYuvRec()->getHeight() - 1, uiPelY);
@@ -4030,5 +4011,4 @@
   UInt uiMinUnitSize = m_pcPic->getMinCUWidth();
 
-#if SIMPLIFIED_MV_POS_SCALING
 #if SCALED_REF_LAYER_OFFSETS
   Int leftStartL = this->getSlice()->getSPS()->getScaledRefLayerWindow(refLayerIdc).getWindowLeftOffset();
@@ -4040,8 +4020,4 @@
   Int iBY = (uiPelY*g_posScalingFactor[refLayerIdc][1] + (1<<15)) >> 16;
 #endif
-#else
-  Int iBX = (uiPelX*widthBL + widthEL/2)/widthEL;
-  Int iBY = (uiPelY*heightBL+ heightEL/2)/heightEL;
-#endif
 
 #if N0139_POSITION_ROUNDING_OFFSET
@@ -4090,21 +4066,6 @@
   TComMvField cMvFieldBase;
   TComMv cMv;
-#if SIMPLIFIED_MV_POS_SCALING
+
   cMv = rcMvFieldBase.getMv().scaleMv( g_mvScalingFactor[refLayerIdc][0], g_mvScalingFactor[refLayerIdc][1] );
-#else
-  const Window &confBL = m_pcSlice->getBaseColPic()->getPicYuvRec()->getConformanceWindow();
-  const Window &confEL = m_pcPic->getPicYuvRec()->getConformanceWindow();
-
-  Int widthBL   = m_pcSlice->getBaseColPic()->getPicYuvRec()->getWidth () - confBL.getWindowLeftOffset() - confBL.getWindowRightOffset();
-  Int heightBL  = m_pcSlice->getBaseColPic()->getPicYuvRec()->getHeight() - confBL.getWindowTopOffset() - confBL.getWindowBottomOffset();
-
-  Int widthEL   = m_pcPic->getPicYuvRec()->getWidth() - confEL.getWindowLeftOffset() - confEL.getWindowRightOffset();
-  Int heightEL  = m_pcPic->getPicYuvRec()->getHeight() - confEL.getWindowTopOffset() - confEL.getWindowBottomOffset();
-
-  Int iMvX = (rcMvFieldBase.getHor()*widthEL + (widthBL/2 -1) * (rcMvFieldBase.getHor() > 0 ? 1: -1) )/widthBL;
-  Int iMvY = (rcMvFieldBase.getVer()*heightEL + (heightBL/2 -1) * (rcMvFieldBase.getVer() > 0 ? 1: -1) )/heightBL;
-
-  cMv.set(iMvX, iMvY);
-#endif
 
   rcMvFieldEnhance.setMvField( cMv, rcMvFieldBase.getRefIdx() );
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComMv.h
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComMv.h	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComMv.h	(revision 370)
@@ -149,5 +149,5 @@
     return TComMv( mvx, mvy );
   }
-#if SIMPLIFIED_MV_POS_SCALING
+#if SVC_EXTENSION
   const TComMv scaleMv( Int iScaleX, Int iScaleY ) const
   {
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 370)
@@ -523,5 +523,5 @@
 Int  g_eTTable[4] = {0,3,1,2};
 
-#if SIMPLIFIED_MV_POS_SCALING
+#if SVC_EXTENSION
 Int g_mvScalingFactor  [MAX_LAYERS][2] = {{0,0}, {0,0}};
 Int g_posScalingFactor [MAX_LAYERS][2] = {{0,0}, {0,0}};
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 370)
@@ -279,5 +279,5 @@
 extern Int  g_eTTable[4];
 
-#if SIMPLIFIED_MV_POS_SCALING
+#if SVC_EXTENSION
 extern Int g_mvScalingFactor  [MAX_LAYERS][2];
 extern Int g_posScalingFactor [MAX_LAYERS][2];
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 370)
@@ -499,5 +499,5 @@
       m_activeNumILRRefIdx = numInterLayerRPSPics;
     }
-#if MAX_ONE_RESAMPLING_DIRECT_LAYERS && SIMPLIFIED_MV_POS_SCALING
+#if MAX_ONE_RESAMPLING_DIRECT_LAYERS
     if( m_pcVPS->getScalabilityMask(1) )
     {
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 370)
@@ -151,11 +151,6 @@
   Pel* piDstV;
 
-#if SIMPLIFIED_MV_POS_SCALING
   Int scaleX = g_posScalingFactor[refLayerIdc][0];
   Int scaleY = g_posScalingFactor[refLayerIdc][1];
-#else
-  Int   scaleX     = ( ( widthBL << shiftX ) + ( widthEL >> 1 ) ) / widthEL;
-  Int   scaleY     = ( ( heightBL << shiftY ) + ( heightEL >> 1 ) ) / heightEL;
-#endif
 
   if( scaleX == 65536 && scaleY == 65536 ) // ratio 1x
@@ -451,9 +446,4 @@
     shiftYM4 = shiftY - 4;
 
-#if !SIMPLIFIED_MV_POS_SCALING
-    scaleX     = ( ( widthBL << shiftX ) + ( widthEL >> 1 ) ) / widthEL;
-    scaleY     = ( ( heightBL << shiftY ) + ( heightEL >> 1 ) ) / heightEL;
-#endif
-
 #if ILP_DECODED_PICTURE
     widthEL   = pcUsPic->getWidth () >> 1;
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 370)
@@ -90,5 +90,4 @@
 #define BUGFIX_RESAMPLE                  1      ///< JCTVC-N0055: resampling bug fix for positive left scalled offset
 
-#define SIMPLIFIED_MV_POS_SCALING        1      ///< M0133/M0449: inter-layer MV scaling and pixel mapping position calculation
 #define ILP_DECODED_PICTURE              1      ///< M0274: use decoded picture for inter-layer prediction
 #define JCTVC_M0259_LAMBDAREFINEMENT     1      ///< JCTVC-M0259: lambda refinement (encoder only optimization)
Index: branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 370)
@@ -871,5 +871,4 @@
 #endif
 
-#if SIMPLIFIED_MV_POS_SCALING
 #if SCALED_REF_LAYER_OFFSETS
         const Window &scalEL = pcSlice->getSPS()->getScaledRefLayerWindow(refLayerIdc);
@@ -895,5 +894,4 @@
         g_posScalingFactor[refLayerIdc][0] = ((widthBL  << 16) + (widthEL  >> 1)) / widthEL;
         g_posScalingFactor[refLayerIdc][1] = ((heightBL << 16) + (heightEL >> 1)) / heightEL;
-#endif
 
 #if SVC_UPSAMPLING
Index: branches/SHM-3.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 369)
+++ branches/SHM-3.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 370)
@@ -588,5 +588,4 @@
         pcSlice->setBaseColPic( *cListPic, refLayerIdc );
 
-#if SIMPLIFIED_MV_POS_SCALING
 #if SCALED_REF_LAYER_OFFSETS
         const Window &scalEL = m_pcEncTop->getScaledRefLayerWindow(refLayerIdc);
@@ -612,5 +611,4 @@
         g_posScalingFactor[refLayerIdc][0] = ((widthBL  << 16) + (widthEL  >> 1)) / widthEL;
         g_posScalingFactor[refLayerIdc][1] = ((heightBL << 16) + (heightEL >> 1)) / heightEL;
-#endif
 
 #if SVC_UPSAMPLING