Index: branches/SHM-3.1-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-3.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 372)
@@ -560,7 +560,5 @@
       if ( m_pchReconFile )
       {
-#if SYNTAX_OUTPUT && ILP_DECODED_PICTURE
-        m_cTVideoIOYuvReconFile.write( pcPic->getPicYuvRec() );
-#else
+#if SYNTAX_OUTPUT
         const Window &conf = pcPic->getConformanceWindow();
         const Window &defDisp = m_respectDefDispWindow ? pcPic->getDefDisplayWindow() : Window();
Index: branches/SHM-3.1-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-3.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 372)
@@ -1475,7 +1475,5 @@
     if (m_pchReconFile)
     {
-#if SYNTAX_OUTPUT && ILP_DECODED_PICTURE
-      m_cTVideoIOYuvReconFile.write( pcPicYuvRec );
-#else
+#if SYNTAX_OUTPUT
       m_cTVideoIOYuvReconFile.write( pcPicYuvRec, m_confLeft, m_confRight, m_confTop, m_confBottom );
 #endif
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 372)
@@ -3989,18 +3989,4 @@
   }
 
-#if AVC_SYNTAX && !ILP_DECODED_PICTURE
-#if !ILP_DECODED_PICTURE
-  const Window &confBL = cBaseColPic->getPicYuvRec()->getConformanceWindow();
-  const Window &confEL = m_pcPic->getPicYuvRec()->getConformanceWindow();
-
-  Int widthBL   = m_pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getWidth () - confBL.getWindowLeftOffset() - confBL.getWindowRightOffset();
-  Int heightBL  = m_pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getHeight() - confBL.getWindowTopOffset() - confBL.getWindowBottomOffset();
-#endif
-  if( iBX >= widthBL || iBY >= heightBL ) //outside of the reference layer cropped picture
-  {
-    return NULL;
-  }
-#endif
-
   uiCUAddrBase = (iBY/g_uiMaxCUHeight)*cBaseColPic->getFrameWidthInCU() + (iBX/g_uiMaxCUWidth);
 
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 372)
@@ -570,15 +570,4 @@
 Void TComPic::copyUpsampledMvField(UInt refLayerIdc, TComPic* pcPicBase)
 {
-#if AVC_SYNTAX && !ILP_DECODED_PICTURE
-  const Window &confBL = pcPicBase->getConformanceWindow();
-  const Window &confEL = getPicYuvRec()->getConformanceWindow();
-
-  Int widthBL   = pcPicBase->getPicYuvRec()->getWidth () - confBL.getWindowLeftOffset() - confBL.getWindowRightOffset();
-  Int heightBL  = pcPicBase->getPicYuvRec()->getHeight() - confBL.getWindowTopOffset() - confBL.getWindowBottomOffset();
-
-  Int widthEL   = getPicYuvRec()->getWidth() - confEL.getWindowLeftOffset() - confEL.getWindowRightOffset();
-  Int heightEL  = getPicYuvRec()->getHeight() - confEL.getWindowTopOffset() - confEL.getWindowBottomOffset();
-#endif
-
   UInt numPartitions   = 1<<(g_uiMaxCUDepth<<1);
   UInt widthMinPU      = g_uiMaxCUWidth/(1<<g_uiMaxCUDepth);
@@ -600,12 +589,5 @@
       pcColCU = pcCUDes->getBaseColCU(refLayerIdc, pelX + 8, pelY + 8, baseCUAddr, baseAbsPartIdx);
 
-#if AVC_SYNTAX && !ILP_DECODED_PICTURE
-      Int xBL = ( (pelX + 8) * widthBL + widthEL/2 ) / widthEL;
-      Int yBL = ( (pelY + 8) * heightBL+ heightEL/2 ) / heightEL;
-
-      if( ( xBL < widthBL && yBL < heightBL ) && pcColCU && (pcColCU->getPredictionMode(baseAbsPartIdx) != MODE_NONE) && (pcColCU->getPredictionMode(baseAbsPartIdx) != MODE_INTRA) )  //base layer unit not skip and invalid mode
-#else
       if( pcColCU && (pcColCU->getPredictionMode(baseAbsPartIdx) != MODE_NONE) && (pcColCU->getPredictionMode(baseAbsPartIdx) != MODE_INTRA) )  //base layer unit not skip and invalid mode
-#endif
       {
         for(UInt refPicList = 0; refPicList < 2; refPicList++)  //for each reference list
@@ -670,12 +652,7 @@
   }
 
-#if ILP_DECODED_PICTURE
   UInt   width      = this->getPicYuvRec()->getWidth();
   UInt   height     = this->getPicYuvRec()->getHeight();
-#else
-  const Window &conf = this->getPicYuvRec()->getConformanceWindow();
-  UInt   width      = this->getPicYuvRec()->getWidth() - conf.getWindowLeftOffset() - conf.getWindowRightOffset();
-  UInt   height     = this->getPicYuvRec()->getHeight() - conf.getWindowTopOffset() - conf.getWindowBottomOffset();
-#endif
+
   UInt64 poc        = (UInt64)this->getPOC();
   UInt   partWidth  = width / 4;
@@ -754,12 +731,6 @@
   }
 
-#if ILP_DECODED_PICTURE
   UInt   width       = this->getPicYuvRec()->getWidth();
   UInt   height      = this->getPicYuvRec()->getHeight();
-#else
-  const Window &conf = this->getConformanceWindow();
-  UInt   width       = this->getPicYuvRec()->getWidth() - conf.getWindowLeftOffset() - conf.getWindowRightOffset();
-  UInt   height      = this->getPicYuvRec()->getHeight() - conf.getWindowTopOffset() - conf.getWindowBottomOffset();
-#endif
 
   UInt64 poc        = (UInt64)this->getPOC();
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 372)
@@ -233,5 +233,4 @@
     Int shiftYM4 = shiftY - 4;
 
-#if ILP_DECODED_PICTURE
     widthEL   = pcUsPic->getWidth ();
     heightEL  = pcUsPic->getHeight();
@@ -239,5 +238,4 @@
     widthBL   = pcBasePic->getWidth ();
     heightBL  = min<Int>( pcBasePic->getHeight(), heightEL );
-#endif
 #if SCALED_REF_LAYER_OFFSETS
     Int leftStartL = scalEL.getWindowLeftOffset();
@@ -390,5 +388,4 @@
     }
 
-#if ILP_DECODED_PICTURE
 #if SCALED_REF_LAYER_OFFSETS
     widthBL   = pcBasePic->getWidth ();
@@ -403,5 +400,4 @@
     widthEL   = pcUsPic->getWidth () - confEL.getWindowLeftOffset() - confEL.getWindowRightOffset();
     heightEL  = pcUsPic->getHeight() - confEL.getWindowTopOffset() - confEL.getWindowBottomOffset();
-#endif
 #endif
 
@@ -446,5 +442,4 @@
     shiftYM4 = shiftY - 4;
 
-#if ILP_DECODED_PICTURE
     widthEL   = pcUsPic->getWidth () >> 1;
     heightEL  = pcUsPic->getHeight() >> 1;
@@ -452,5 +447,4 @@
     widthBL   = pcBasePic->getWidth () >> 1;
     heightBL  = min<Int>( pcBasePic->getHeight() >> 1, heightEL );
-#endif
 
 #if  N0214_INTERMEDIATE_BUFFER_16BITS
Index: branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 371)
+++ branches/SHM-3.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 372)
@@ -90,5 +90,4 @@
 #define BUGFIX_RESAMPLE                  1      ///< JCTVC-N0055: resampling bug fix for positive left scalled offset
 
-#define ILP_DECODED_PICTURE              1      ///< M0274: use decoded picture for inter-layer prediction
 #define JCTVC_M0259_LAMBDAREFINEMENT     1      ///< JCTVC-M0259: lambda refinement (encoder only optimization)
 #define RESTR_CHK                        1      ///< JCTVC-M0208 proposal 1
@@ -137,5 +136,4 @@
 
 #else
-#define ILP_DECODED_PICTURE              0
 #define SYNTAX_OUTPUT                    0
 #endif // SVC_EXTENSION
Index: branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 371)
+++ branches/SHM-3.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 372)
@@ -621,12 +621,6 @@
       TComPic* pBLPic = (*m_ppcTDecTop[0]->getListPic()->begin());
       fstream* pFile  = m_ppcTDecTop[0]->getBLReconFile();
-#if ILP_DECODED_PICTURE
       UInt uiWidth    = pBLPic->getPicYuvRec()->getWidth();
       UInt uiHeight   = pBLPic->getPicYuvRec()->getHeight();
-#else
-      const Window &conf = pBLPic->getConformanceWindow();
-      UInt uiWidth    = pBLPic->getPicYuvRec()->getWidth() - conf.getWindowLeftOffset() - conf.getWindowRightOffset();
-      UInt uiHeight   = pBLPic->getPicYuvRec()->getHeight() - conf.getWindowTopOffset() - conf.getWindowBottomOffset();
-#endif
 
       if( pFile->good() )